## subread 1.5.0

=== src/Makefile ===

all:
	@echo 
	@echo "  Subread currently supports Linux, Mac OS X, FreeBSD and Solaris. Please choose the correct Makefile to build Subread."
	@echo 
	@echo "  For building subread in Linux, please run ' make -f Makefile.Linux '."
	@echo "  For building subread in Mac OS X, please run ' make -f Makefile.MacOS '."
	@echo "  For building subread in FreeBSD, please run ' gmake -f Makefile.FreeBSD '."
	@echo "  For building subread in Oracle Solaris or OpenSolaris, please run ' gmake -f Makefile.SunOS '."
	@echo
	@echo "  The default compiler is gcc; you may change it by editing the Makefiles for platforms."
	@echo
	@echo "  The generated executables are saved to directory (PACKAGE_DIR)/bin"
	@echo

## subread 1.4.6-p2+dfsg

=== debian/changelog ===
subread (1.4.6-p2+dfsg-1) unstable; urgency=medium

  * Actual first upload after fixing ftpmaster issues
    Closes: #779014
  * d/copyright: exclude pdf without source files 
  * d/patches: add Descriptions 
  * d/watch: use repacksuffix to add +dfsg suffix
  * Imported Upstream version 1.4.6-p2+dfsg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 07 May 2015 21:13:48 +0200

subread (1.4.6-p2-1) UNRELEASED; urgency=medium

  * Imported Upstream version 1.4.6-p2
  * fixed regexps for man pages cleanup
  * d/README.Debian: add note about subread user guide url
  * d/doc-base: remove, as no documentation supplied with the package 
  * d/subread.docs: remove SubreadUserGuide.pdf 

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 23 Apr 2015 10:22:03 +0200

subread (1.4.6-p1-1) unstable; urgency=low

  * Initial release. Closes: #779014

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 20 Feb 2015 10:48:06 +0100

=== debian/control ===
Source: subread
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
           Andreas Tille <tille@debian.org>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev,
               help2man
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/subread.git
Vcs-Git: git://anonscm.debian.org/debian-med/subread.git
Homepage: http://sourceforge.net/projects/subread/

Package: subread
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: toolkit for processing next-gen sequencing data
 Subread aligner can be used to align both gDNA-seq and RNA-seq reads.
 Subjunc aligner was specified designed for the detection of exon-exon 
 junction. For the mapping of RNA-seq reads, Subread performs local 
 alignments and Subjunc performs global alignments. 

Package: subread-data
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: data files for subread package
 This package provides data files from the original tarball:
  - annotation: Directory including NCBI RefSeq gene annotations for 
 genomes 'hg19', 'mm10' and 'mm9'. Each row is an exon.
 Entrez gene identifiers and chromosomal coordinates are provided for 
 each exon.
  - test: Directory including test data and scripts.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export EXTRA_FLAGS := $(shell dpkg-buildflags --get LDFLAGS)
pkg := $(shell dpkg-parsechangelog --show-field=Source)
mandir := $(CURDIR)/debian/$(pkg)/usr/share/man/man1
bindir := $(CURDIR)/bin
utildir := $(CURDIR)/bin/utilities

%:
	dh $@

override_dh_clean:
	cd src; make -f Makefile.Linux clean
	dh_clean

override_dh_auto_build:
	cd src; make -f Makefile.Linux
	dh_auto_build

override_dh_auto_test:
	debian/tests/subread-tests $(CURDIR)

HELP2MAN = help2man --no-info --help-option="''" --no-discard-stderr

override_dh_auto_install:
#fix for gzip-file-is-not-multi-arch-same-safe
	find $(CURDIR) -name "*.gz" -exec bash -c 'name="{}"; gzip -d "{}"; gzip -n "$${name%.*}"' \;

	mkdir -p $(mandir)
	$(HELP2MAN) --name='an accurate and efficient aligner for mapping both genomic \
DNA-seq reads and RNA-seq reads (for the purpose of expression analysis)' \
	$(bindir)/subread-align | debian/filter.pl > $(mandir)/subread-align.1;

	$(HELP2MAN) --name='builds an base-space or color-space index using the reference sequences' \
	$(bindir)/subread-buildindex | debian/filter.pl > $(mandir)/subread-buildindex.1;

	$(HELP2MAN) --name='an RNA-seq aligner suitable for all purposes of RNA-seq analyses' \
	$(bindir)/subjunc | debian/filter.pl > $(mandir)/subjunc.1;

	$(HELP2MAN) --name='a highly efficient and accurate read summarization program' \
	$(bindir)/featureCounts | debian/filter.pl > $(mandir)/featureCounts.1;

	$(HELP2MAN) --name='a SNP caller that discovers SNPs by testing signals against local background noises' \
	$(bindir)/exactSNP | debian/filter.pl > $(mandir)/exactSNP.1;

	$(HELP2MAN) --name='detect short and long indels' \
	$(bindir)/subindel | debian/filter.pl > $(mandir)/subindel.1;

	$(HELP2MAN) --name='scans the entire genome and reports all matches of a specified sequence' \
	$(utildir)/subread-fullscan | debian/filter.pl > $(mandir)/subread-fullscan.1;

	$(HELP2MAN) --name='counting the coverage of mapped reads at each location on the entire reference genome' \
	$(utildir)/coverageCount | debian/filter.pl > $(mandir)/coverageCount.1;

	$(HELP2MAN) --name='calculate the proportion of mapped reads/fragments' \
	$(utildir)/propmapped | debian/filter.pl > $(mandir)/propmapped.1;

	for i in globalReassembly removeDup qualityScores subtools ; do \
	$(HELP2MAN) --name='a component of subread suite' $(utildir)/$$i | debian/filter.pl > $(mandir)/$$i.1; \
	done

	dh_auto_install

override_dh_installexamples:
	tar -cJf $(CURDIR)/debian/subread-data/usr/share/doc/subread/examples/test.tar.xz  test/
	
override_dh_compress:
# do not compress pdfs
	dh_compress -X.pdf -Xtest.tar.xz


get-orig-source:
	uscan --verbose --force-download --repack --compression xz

## subread 1.4.6-p3+dfsg

=== debian/changelog ===
subread (1.4.6-p3+dfsg-2) unstable; urgency=medium

  * d/changelog: upload to unstable, forgot to include the amd64 architecture 
    in d/contorl
  * d/control: added amd64 to Architecture

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 21 May 2015 20:56:14 +0200

subread (1.4.6-p3+dfsg-1) unstable; urgency=medium

  * d/changelog: upload to unstable
  * d/rules: enable -fsigned-char for all architectures
  * d/patches/arch_specific_flags.patch: use -O2 instead of -O9
  * d/control: not building for powerpc, mips, s390x, see d/README.source
  * d/README.source: merge with d/README.Debian-source describe the reason
    for not building on some architectures
  * Imported Upstream version 1.4.6-p3+dfsg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 19 May 2015 13:51:49 +0200

subread (1.4.6-p2+dfsg-4) experimental; urgency=medium

  * d/rules: add -msse3 and -mtune=generic for i386/amd64 
  * d/patches: merge hardening and gcc_flags_cleanup patches
  * d/patches: updated and renamed getopt4exactSNP.patch to getopt.patch 
     fixed 2 more issues with wrong assignment for the getopt_long function

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 18 May 2015 17:46:15 +0200

subread (1.4.6-p2+dfsg-3) experimental; urgency=medium

  * d/patches/getopt4exactSNP.patch: attempt to fix #784929

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 13 May 2015 22:22:24 +0200

subread (1.4.6-p2+dfsg-2) unstable; urgency=medium

  * d/patches/gcc_flags_cleanup.patch: remove -mtune=core2 and mmmx,msse* flags
    Closes: #784780 
  * d/rules: use override_dh_installexamples-indep, Closes: #784782 
  * d/README.Debian-source: mention doc/SubreadUserGuide.pdf removal

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sun, 10 May 2015 10:43:19 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Homepage: http://sourceforge.net/projects/subread/
 
 Package: subread
-Architecture: any
+Architecture: amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mipsel ppc64el
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: toolkit for processing next-gen sequencing data

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,18 @@
 include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export EXTRA_FLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+export EXTRA_LD_FLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 pkg := $(shell dpkg-parsechangelog --show-field=Source)
 mandir := $(CURDIR)/debian/$(pkg)/usr/share/man/man1
 bindir := $(CURDIR)/bin
 utildir := $(CURDIR)/bin/utilities
+
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+EXTRA_CC_FLAGS = 
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
+        EXTRA_CC_FLAGS = -mtune=generic -msse3
+endif
+export EXTRA_CC_FLAGS += -fsigned-char
 
 %:
 	dh $@
@@ -65,7 +72,7 @@
 
 	dh_auto_install
 
-override_dh_installexamples:
+override_dh_installexamples-indep:
 	tar -cJf $(CURDIR)/debian/subread-data/usr/share/doc/subread/examples/test.tar.xz  test/
 	
 override_dh_compress:

## subread 1.4.6-p4+dfsg

=== debian/changelog ===
subread (1.4.6-p4+dfsg-1) unstable; urgency=medium

  * d/patches/arch_specific_flags.patch: set the optimization level 
    to -03  because -O levels higher than 3 have no effect.
  * Imported Upstream version 1.4.6-p4+dfsg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 06 Jul 2015 15:51:55 +0200

## subread 1.4.6-p5+dfsg

=== debian/changelog ===
subread (1.4.6-p5+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.4.6-p5+dfsg
  * Build and install SubreadUsersGuide.pdf

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 05 Sep 2015 12:35:30 +0200

=== debian/control ===
Source: subread
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
           Andreas Tille <tille@debian.org>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9), help2man, texlive-latex-extra, zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/subread.git
Vcs-Git: git://anonscm.debian.org/debian-med/subread.git
Homepage: http://sourceforge.net/projects/subread/

Package: subread
Architecture: amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mipsel ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: toolkit for processing next-gen sequencing data
 Subread aligner can be used to align both gDNA-seq and RNA-seq reads.
 Subjunc aligner was specified designed for the detection of exon-exon
 junction. For the mapping of RNA-seq reads, Subread performs local
 alignments and Subjunc performs global alignments.

Package: subread-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: data files for subread package
 This package provides data files from the original tarball:
  - annotation: Directory including NCBI RefSeq gene annotations for
 genomes 'hg19', 'mm10' and 'mm9'. Each row is an exon.
 Entrez gene identifiers and chromosomal coordinates are provided for
 each exon.
  - test: Directory including test data and scripts.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 mandir := $(CURDIR)/debian/$(pkg)/usr/share/man/man1
 bindir := $(CURDIR)/bin
 utildir := $(CURDIR)/bin/utilities
+TEXDOC := SubreadUsersGuide.tex
+BIBDOC := SubreadUsersGuide.aux
+DOCDIR := doc
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 EXTRA_CC_FLAGS = 
@@ -26,6 +29,10 @@
 
 override_dh_auto_build:
 	cd src; make -f Makefile.Linux
+	cd $(DOCDIR) && pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
+	cd $(DOCDIR) && bibtex $(BIBDOC)
+	cd $(DOCDIR) && pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
+	cd $(DOCDIR) && pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
 	dh_auto_build
 
 override_dh_auto_test:

## subread 1.5.0+dfsg

=== debian/changelog ===
subread (1.5.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.5.0+dfsg
  * no PDF documentation in this release
  * removed globalReassembly and subtools binaries, added "repair" tool

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 06 Nov 2015 15:05:00 +0100

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$//,repacksuffix=+dfsg \
	http://sf.net/subread/subread-(.*)-source\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## subread 1.5.0-p1+dfsg

=== debian/changelog ===
subread (1.5.0-p1+dfsg-2) unstable; urgency=medium

  * d/control: remove hurd-i386 and mipsel due to failing tests

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 18 Jan 2016 12:03:41 +0100

subread (1.5.0-p1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.5.0-p1+dfsg
  * d/patches: refresh and remove applied patches

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 05 Jan 2016 15:58:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Section: science
 Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9), help2man, texlive-latex-extra, zlib1g-dev
+Build-Depends: debhelper (>= 9), help2man, zlib1g-dev
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/subread.git
 Vcs-Git: git://anonscm.debian.org/debian-med/subread.git
 Homepage: http://sourceforge.net/projects/subread/
 
 Package: subread
-Architecture: amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mipsel ppc64el
+Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 ppc64el
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: toolkit for processing next-gen sequencing data
  Subread aligner can be used to align both gDNA-seq and RNA-seq reads.

=== debian/rules ===
--- 
+++ 
@@ -29,10 +29,6 @@
 
 override_dh_auto_build:
 	cd src; make -f Makefile.Linux
-	cd $(DOCDIR) && pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
-	cd $(DOCDIR) && bibtex $(BIBDOC)
-	cd $(DOCDIR) && pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
-	cd $(DOCDIR) && pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
 	dh_auto_build
 
 override_dh_auto_test:
@@ -73,7 +69,7 @@
 	$(HELP2MAN) --name='calculate the proportion of mapped reads/fragments' \
 	$(utildir)/propmapped | debian/filter.pl > $(mandir)/propmapped.1;
 
-	for i in globalReassembly removeDup qualityScores subtools ; do \
+	for i in removeDup repair qualityScores ; do \
 	$(HELP2MAN) --name='a component of subread suite' $(utildir)/$$i | debian/filter.pl > $(mandir)/$$i.1; \
 	done

## subread 1.5.0-p2+dfsg

=== debian/changelog ===
subread (1.5.0-p2+dfsg-3) unstable; urgency=medium

  * Fix build on armel, armhf, arm64 and ppc64el
    It appears that -fsigned-char option must be defined before other CFLAGS or
    some binaries fail to work on architectures defined above

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 26 Apr 2016 22:44:51 +0200

subread (1.5.0-p2+dfsg-2) unstable; urgency=medium

  * Cleanup d/rules
  * Add patch fixing ftbfs on kfreebsd

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 23 Apr 2016 22:19:34 +0200

subread (1.5.0-p2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.5.0-p2+dfsg
  * Refresh patches
  * Add --parallel to dh $@
  * Update arch_specific_flags.patch: append CFLAGS and LDFLAGS
    instead of hardcoding them in the Makefile
  * Cme fix dpkg, update VCS fields, bump Standards-Version
  * Add python and bc to Build-Depends, needed for tests
  * Run all tests

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 22 Apr 2016 18:09:24 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,27 +1,21 @@
 #!/usr/bin/make -f
 
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export EXTRA_LD_FLAGS := $(shell dpkg-buildflags --get LDFLAGS)
-pkg := $(shell dpkg-parsechangelog --show-field=Source)
+pkg := subread
 mandir := $(CURDIR)/debian/$(pkg)/usr/share/man/man1
 bindir := $(CURDIR)/bin
 utildir := $(CURDIR)/bin/utilities
-TEXDOC := SubreadUsersGuide.tex
-BIBDOC := SubreadUsersGuide.aux
-DOCDIR := doc
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-EXTRA_CC_FLAGS = 
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
-        EXTRA_CC_FLAGS = -mtune=generic -msse3
+        CFLAGS += -mtune=generic -msse3
 endif
-export EXTRA_CC_FLAGS += -fsigned-char
+ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
+        CFLAGS += -D KFREEBSD
+endif
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_clean:
 	cd src; make -f Makefile.Linux clean
@@ -77,11 +71,6 @@
 
 override_dh_installexamples-indep:
 	tar -cJf $(CURDIR)/debian/subread-data/usr/share/doc/subread/examples/test.tar.xz  test/
-	
-override_dh_compress:
-# do not compress pdfs
-	dh_compress -X.pdf -Xtest.tar.xz
-
 
 get-orig-source:
 	uscan --verbose --force-download --repack --compression xz

## subread 1.5.0-p3+dfsg

=== debian/changelog ===
subread (1.5.0-p3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Further address reproducibility by forcing mode on tarball contents.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 21 Jul 2016 13:23:14 +0000

subread (1.5.0-p3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Make build reproducible by ensuring umask and mtime of
    archive contents are deterministic.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 18 Jul 2016 07:46:12 +0000

subread (1.5.0-p3+dfsg-1) unstable; urgency=medium

  * Drop get-orig-source target, update d/watch to repack and use compression xz
  * Imported Upstream version 1.5.0-p3+dfsg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 04 Jun 2016 09:16:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Section: science
 Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9), help2man, zlib1g-dev
-Standards-Version: 3.9.6
+Build-Depends: bc, debhelper (>= 9), help2man, python, zlib1g-dev
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/subread.git
-Vcs-Git: git://anonscm.debian.org/debian-med/subread.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/subread.git
 Homepage: http://sourceforge.net/projects/subread/
 
 Package: subread

=== debian/rules ===
--- 
+++ 
@@ -70,7 +70,8 @@
 	dh_auto_install
 
 override_dh_installexamples-indep:
-	tar -cJf $(CURDIR)/debian/subread-data/usr/share/doc/subread/examples/test.tar.xz  test/
-
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz
+	tar --sort=name \
+            --mtime="@${SOURCE_DATE_EPOCH}" \
+            --owner=root --group=root --numeric-owner \
+            --mode=go=rX,u+rw,a-s \
+            -cJf $(CURDIR)/debian/subread-data/usr/share/doc/subread/examples/test.tar.xz  test/

## subread 1.5.1+dfsg

=== debian/changelog ===
subread (1.5.1+dfsg-4) unstable; urgency=medium

  * Fix watch file
  * debhelper 10
  * remove outdated information from README.source

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2016 08:22:05 +0100

subread (1.5.1+dfsg-3) unstable; urgency=medium

  * Pass triplet-prefixed CC to make

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 05 Sep 2016 14:59:37 +0200

subread (1.5.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Add compiler flags to ensure use of -fdebug-prefix-map.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 04 Sep 2016 15:16:33 +0000

subread (1.5.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.5.1+dfsg
  * Fix copyright Format: s/http/https/
  * Refresh and remove applied patches

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sun, 28 Aug 2016 08:43:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Testsuite: autopkgtest
 Priority: optional
-Build-Depends: bc, debhelper (>= 9), help2man, python, zlib1g-dev
+Build-Depends: bc, debhelper (>= 10), help2man, python, zlib1g-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/subread.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/subread.git

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,15 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 pkg := subread
 mandir := $(CURDIR)/debian/$(pkg)/usr/share/man/man1
 bindir := $(CURDIR)/bin
 utildir := $(CURDIR)/bin/utilities
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/architecture.mk
+ifeq ($(origin CC),default)
+    CC = $(DEB_HOST_GNU_TYPE)-gcc
+endif
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
@@ -23,7 +28,7 @@
 
 override_dh_auto_build:
 	cd src; make -f Makefile.Linux
-	dh_auto_build
+	dh_auto_build -- CC=$(CC)
 
 override_dh_auto_test:
 	debian/tests/subread-tests $(CURDIR)

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg(\.\d+)?$//,repacksuffix=+dfsg,repack,compression=xz \
	http://sf.net/subread/subread-(\d[\d\.]+)-source\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## subread 1.5.2+dfsg

=== debian/changelog ===
subread (1.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.2+dfsg
  * Refresh and update patches
  * Add d/patches/typo.patch fixing a typo in featureCounts

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 21 Mar 2017 16:18:52 +0100

## subread 1.5.3+dfsg

=== debian/changelog ===
subread (1.5.3+dfsg-1) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0
  * New upstream version 1.5.3+dfsg
  * Refresh and update paches
  * Update man pages
  * Remove trailing whitespaces from changelog

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 28 Jul 2017 16:09:49 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,20 @@
 Section: science
 Testsuite: autopkgtest
 Priority: optional
-Build-Depends: bc, debhelper (>= 10), help2man, python, zlib1g-dev
-Standards-Version: 3.9.8
+Build-Depends: bc,
+               debhelper (>= 10),
+               help2man,
+               python,
+               zlib1g-dev
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/subread.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/subread.git
 Homepage: http://sourceforge.net/projects/subread/
 
 Package: subread
 Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 ppc64el
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: toolkit for processing next-gen sequencing data
  Subread aligner can be used to align both gDNA-seq and RNA-seq reads.
  Subjunc aligner was specified designed for the detection of exon-exon
@@ -22,7 +27,8 @@
 
 Package: subread-data
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: data files for subread package
  This package provides data files from the original tarball:
   - annotation: Directory including NCBI RefSeq gene annotations for

=== debian/rules ===
--- 
+++ 
@@ -68,9 +68,16 @@
 	$(HELP2MAN) --name='calculate the proportion of mapped reads/fragments' \
 	$(utildir)/propmapped | debian/filter.pl > $(mandir)/propmapped.1;
 
-	for i in removeDup repair qualityScores ; do \
-	$(HELP2MAN) --name='a component of subread suite' $(utildir)/$$i | debian/filter.pl > $(mandir)/$$i.1; \
-	done
+	$(HELP2MAN) --name='retrieve Phred score for read bases' \
+	$(utildir)/qualityScores| debian/filter.pl > $(mandir)/qualityScores.1;
+
+	$(HELP2MAN) --name='Find reads that are from the same pair in the input and then place them next \
+to each other in the output. A dummy read is added for each singleton read that does not have a pair. \
+The output file is compatible with featureCounts program' \
+	$(utildir)/repair| debian/filter.pl > $(mandir)/repair.1;
+
+	$(HELP2MAN) --name='Remove duplicated reads' \
+	$(utildir)/removeDup| debian/filter.pl > $(mandir)/removeDup.1;
 
 	dh_auto_install

## subread 1.6.0+dfsg

=== src/Makefile ===

all:
	@echo 
	@echo "  Subread currently supports Linux, Mac OS X and FreeBSD. Please choose the correct Makefile to build Subread."
	@echo 
	@echo "  For building subread in Linux, please run ' make -f Makefile.Linux '."
	@echo "  For building subread in Mac OS X, please run ' make -f Makefile.MacOS '."
	@echo "  For building subread in FreeBSD, please run ' gmake -f Makefile.FreeBSD '."
	@echo
	@echo "  The default compiler is gcc; you may change it by editing the Makefiles for platforms."
	@echo
	@echo "  The generated executables are saved to directory (PACKAGE_DIR)/bin"
	@echo

=== src/longread-mapping/Makefile ===
include ../makefile.version
include make.version

OPT_LEVEL = 3
CCFLAGS = -mtune=core2 ${MACOS} -O${OPT_LEVEL} -Wall  -DMAKE_FOR_EXON  -D MAKE_STANDALONE  -D_FILE_OFFSET_BITS=64 -D SUBREAD_VERSION=\"${SUBREAD_VERSION}\"
LDFLAGS =  -lpthread -lz -lm -O${OPT_LEVEL} -DMAKE_FOR_EXON -D MAKE_STANDALONE # -DREPORT_ALL_THE_BEST
CC_EXEC = gcc
CC = ${CC_EXEC}  ${CCFLAGS}  -fmessage-length=0  -ggdb

ALL_LIBS=LRMsorted-hashtable LRMbase-index LRMchro-event LRMhelper seek-zlib LRMfile-io hashtable

ALL_OBJECTS=$(addsuffix .o, ${ALL_LIBS})
ALL_H=$(addsuffix .h, ${ALL_LIBS})
ALL_C=$(addsuffix .c, ${ALL_LIBS})

all: sublong 
	mv sublong ../

clean:
	rm -f *.o  

sublong: longread-mapping.c  ${ALL_OBJECTS} 
	${CC} -o sublong longread-mapping.c   ${ALL_OBJECTS}  ${LDFLAGS}

=== debian/changelog ===
subread (1.6.0+dfsg-1) unstable; urgency=medium

  * Update d/watch to version 4
  * New upstream version 1.6.0+dfsg
  * Update d/subread.install, add sublong and txUnique binaries
  * d/rules:
    - add man page generation for sublong binary
    - use conditional variable assignment operator for DEB_HOST_ARCH
  * d/control:
    - bump Standards-Version to 4.1.1
    - drop autopkgtest testsuite from d/control as we have d/tests/control
  * Update arch_specific_flags patch, fix Makefile for sublong

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 17 Nov 2017 16:43:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
            Andreas Tille <tille@debian.org>
 Section: science
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: bc,
                debhelper (>= 10),
                help2man,
                python,
                zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/subread.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/subread.git
 Homepage: http://sourceforge.net/projects/subread/

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
     CC = $(DEB_HOST_GNU_TYPE)-gcc
 endif
 
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
         CFLAGS += -mtune=generic -msse3
 endif
@@ -59,6 +59,9 @@
 	$(HELP2MAN) --name='detect short and long indels' \
 	$(bindir)/subindel | debian/filter.pl > $(mandir)/subindel.1;
 
+	$(HELP2MAN) --name='long-read aligner that is designed based on seed-and-vote' \
+	$(bindir)/sublong| debian/filter.pl > $(mandir)/sublong.1;
+
 	$(HELP2MAN) --name='scans the entire genome and reports all matches of a specified sequence' \
 	$(utildir)/subread-fullscan | debian/filter.pl > $(mandir)/subread-fullscan.1;

=== debian/tests/control ===
Tests: subread-tests
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg(\.\d+)?$//,repacksuffix=+dfsg,repack,compression=xz \
	http://sf.net/subread/subread-@ANY_VERSION@-source@ARCHIVE_EXT@

## subread 1.6.1+dfsg

=== src/longread-one/Makefile ===
OPT_LEVEL = 3
include ../makefile.version
include make.version
CCFLAGS = -mtune=core2 ${MACOS} -O${OPT_LEVEL} -Wall  -DMAKE_FOR_EXON  -D MAKE_STANDALONE  -D_FILE_OFFSET_BITS=64 -DSUBREAD_VERSION=\"${SUBREAD_VERSION}\"
LDFLAGS =  -lpthread -lz -lm -O${OPT_LEVEL} -DMAKE_FOR_EXON -D MAKE_STANDALONE # -DREPORT_ALL_THE_BEST
CC_EXEC = gcc
CC = ${CC_EXEC}  ${CCFLAGS}  -fmessage-length=0  -ggdb

ALL_LIBS=LRMsorted-hashtable LRMbase-index LRMchro-event LRMhelper LRMseek-zlib LRMfile-io LRMhashtable

ALL_OBJECTS=$(addsuffix .o, ${ALL_LIBS})
ALL_H=$(addsuffix .h, ${ALL_LIBS})
ALL_C=$(addsuffix .c, ${ALL_LIBS})



all: LRM

clean:
	rm -f *.o LRM

LRM: longread-mapping.c  ${ALL_OBJECTS} 
	${CC} -o LRM longread-mapping.c   ${ALL_OBJECTS}  ${LDFLAGS}

=== debian/changelog ===
subread (1.6.1+dfsg-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Added new d/u/metadata file

  [ Alexandre Mestiashvili ]
  * New upstream version 1.6.1+dfsg
  * Update d/control, bump Policy to 4.1.3, fix Vcs-* fields to point to salsa
  * Refresh patches
  * Update copyright years

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 04 Apr 2018 17:04:57 +0000

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                help2man,
                python,
                zlib1g-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/subread.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/subread.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/med-team/subread
+Vcs-Git: https://salsa.debian.org/med-team/subread.git
 Homepage: http://sourceforge.net/projects/subread/
 
 Package: subread

## subread 1.6.2+dfsg

=== debian/changelog ===
subread (1.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.2+dfsg
  * d/control:
    - bump Policy to 4.1.4
    - update uploader's email in d/{control,copyright}
    - bump compat to 11
  * Remove --parallel from dh invocation in d/rules
  * Generate man page for flattenGTF with help2man
  * Install new binary flattenGTF
  * Refresh and update patches

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 18 May 2018 19:07:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: subread
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
+Uploaders: Alexandre Mestiashvili <mestia@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: bc,
-               debhelper (>= 10),
+               debhelper (>= 11),
                help2man,
                python,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/med-team/subread
 Vcs-Git: https://salsa.debian.org/med-team/subread.git
 Homepage: http://sourceforge.net/projects/subread/

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_clean:
 	cd src; make -f Makefile.Linux clean
@@ -82,6 +82,10 @@
 	$(HELP2MAN) --name='Remove duplicated reads' \
 	$(utildir)/removeDup| debian/filter.pl > $(mandir)/removeDup.1;
 
+	$(HELP2MAN) --name='Flatten features included in a GTF annotation and save the modified annotation \
+to a SAF format file.' \
+	$(utildir)/flattenGTF| debian/filter.pl > $(mandir)/flattenGTF.1;
+
 	dh_auto_install
 
 override_dh_installexamples-indep:

## subread 1.6.3+dfsg

=== src/longread-one/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 OPT_LEVEL = 3
 include ../makefile.version
 include make.version
-CCFLAGS = -mtune=core2 ${MACOS} -O${OPT_LEVEL} -Wall  -DMAKE_FOR_EXON  -D MAKE_STANDALONE  -D_FILE_OFFSET_BITS=64 -DSUBREAD_VERSION=\"${SUBREAD_VERSION}\"
+CCFLAGS = -mtune=core2 ${MACOS} -O${OPT_LEVEL} -Wall  -DMAKE_FOR_EXON  -D MAKE_STANDALONE  -D_FILE_OFFSET_BITS=64 -DSUBREAD_VERSION=\"${SUBREAD_VERSION}\" ${WARNING_LEVEL}
 LDFLAGS =  -lpthread -lz -lm -O${OPT_LEVEL} -DMAKE_FOR_EXON -D MAKE_STANDALONE # -DREPORT_ALL_THE_BEST
 CC_EXEC = gcc
 CC = ${CC_EXEC}  ${CCFLAGS}  -fmessage-length=0  -ggdb

=== debian/changelog ===
subread (1.6.3+dfsg-1) unstable; urgency=medium

  [ Alexandre Mestiashvili ]
  * New upstream version 1.6.3+dfsg
  * DH_VERBOSE=1, check for nocheck in DEB_BUILD_OPTIONS
  * Bump Policy to 4.3.0
  * Refresh patches
  * Don't install buggy detectionCall binary
  * Update d/README.Debian

  [ Andreas Tille ]
  * debhelper 12

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 30 Jan 2019 20:19:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Section: science
 Priority: optional
 Build-Depends: bc,
-               debhelper (>= 11),
+               debhelper (>= 12~),
                help2man,
                python,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/subread
 Vcs-Git: https://salsa.debian.org/med-team/subread.git
 Homepage: http://sourceforge.net/projects/subread/

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_VERBOSE=1
 
 pkg := subread
 mandir := $(CURDIR)/debian/$(pkg)/usr/share/man/man1
@@ -31,7 +33,9 @@
 	dh_auto_build -- CC=$(CC)
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	debian/tests/subread-tests $(CURDIR)
+endif
 
 HELP2MAN = help2man --no-info --help-option="''" --no-discard-stderr
 
@@ -65,8 +69,11 @@
 	$(HELP2MAN) --name='scans the entire genome and reports all matches of a specified sequence' \
 	$(utildir)/subread-fullscan | debian/filter.pl > $(mandir)/subread-fullscan.1;
 
-	$(HELP2MAN) --name='counting the coverage of mapped reads at each location on the entire reference genome' \
-	$(utildir)/coverageCount | debian/filter.pl > $(mandir)/coverageCount.1;
+#	$(HELP2MAN) --name='counting the coverage of mapped reads at each location on the entire reference genome' \
+#	$(utildir)/coverageCount | debian/filter.pl > $(mandir)/coverageCount.1;
+
+#	$(HELP2MAN) --name='detectionCall' \
+#	$(utildir)/detectionCall | debian/filter.pl > $(mandir)/detectionCall.1;
 
 	$(HELP2MAN) --name='calculate the proportion of mapped reads/fragments' \
 	$(utildir)/propmapped | debian/filter.pl > $(mandir)/propmapped.1;

## subread 1.6.4+dfsg

=== debian/changelog ===
subread (1.6.4+dfsg-1) unstable; urgency=medium

  * Update d/watch, add uversionmangle to remove -source suffix
  * New upstream version 1.6.4+dfsg
  * Refresh patches, update typo.patch
  * Switch to debhelper-compat, drop d/compat
  * Install genRandomReads binary and generate man page

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 30 Apr 2019 10:58:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends: bc,
-               debhelper (>= 12~),
+               debhelper-compat (= 12),
                help2man,
                python,
                zlib1g-dev

## subread 1.6.5+dfsg

=== debian/changelog ===
subread (1.6.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.0

 -- Steffen Moeller <moeller@debian.org>  Fri, 09 Aug 2019 16:21:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                help2man,
                python,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/subread
 Vcs-Git: https://salsa.debian.org/med-team/subread.git
 Homepage: http://sourceforge.net/projects/subread/

## subread 2.0.0%2Bdfsg

=== debian/changelog ===
subread (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Use 2to3 to port to Python3
    Closes: #938576

 -- Andreas Tille <tille@debian.org>  Thu, 05 Sep 2019 09:30:37 +0200

## subread 2.0.0+dfsg

=== debian/changelog ===
subread (2.0.0+dfsg-2) unstable; urgency=medium

  * Add patch to build with gcc-10
    Closes: #957846

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 18 Apr 2020 21:55:06 +0530

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: subread
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Alexandre Mestiashvili <mestia@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Nilesh Patra <npatra974@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: bc,
                debhelper-compat (= 12),
                help2man,
-               python,
+               python3,
                zlib1g-dev
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/subread

## subread 2.0.1%2Bdfsg

=== debian/changelog ===
subread (2.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive. (routine-update)
  * Rely on pre-initialized dpkg-architecture variables. (routine-update)
  * d/rules: extended clean to allow consecutive builds
  * d/copyright: excluded changing test/*gz files from source tree

 -- Steffen Moeller <moeller@debian.org>  Fri, 22 May 2020 19:31:20 +0200

=== debian/watch ===
version=4
opts=uversionmangle=s/-source//,dversionmangle=s/\+dfsg(\.\d+)?$//,repacksuffix=+dfsg,repack,compression=xz \
	http://sf.net/subread/subread-@ANY_VERSION@-source@ARCHIVE_EXT@

## subread 2.0.1+dfsg

=== src/longread-one/Makefile ===
CC_EXEC = gcc
OPT_LEVEL = 3

include ../makefile.version
include make.version

CCFLAGS = -mtune=core2 ${MACOS} -O${OPT_LEVEL} -Wall  -DMAKE_FOR_EXON  -D MAKE_STANDALONE  -D_FILE_OFFSET_BITS=64 -DSUBREAD_VERSION=\"${SUBREAD_VERSION}\" ${WARNING_LEVEL} ${MINGW32}
LDFLAGS =  -lpthread -lz -lm -O${OPT_LEVEL} -DMAKE_FOR_EXON -D MAKE_STANDALONE # -DREPORT_ALL_THE_BEST
CC = ${CC_EXEC}  ${CCFLAGS}  -fmessage-length=0  -ggdb

ALL_LIBS=LRMsorted-hashtable LRMbase-index LRMchro-event LRMhelper LRMseek-zlib LRMfile-io LRMhashtable
ALL_OBJECTS=$(addsuffix .o, ${ALL_LIBS})
ALL_H=$(addsuffix .h, ${ALL_LIBS})
ALL_C=$(addsuffix .c, ${ALL_LIBS})


all: $(ALL_OBJECTS) LRM

clean:
	rm -f *.o LRM

LRM: longread-mapping.c  ${ALL_OBJECTS} 
	${CC} -o LRM longread-mapping.c   ${ALL_OBJECTS}  ${LDFLAGS}

$(ALL_OBJECTS): $(ALL_C) $(ALL_H)
	$(CC) -o $@ -c $(subst .o,.c,$@)

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
                help2man,
                python3,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/subread
 Vcs-Git: https://salsa.debian.org/med-team/subread.git
 Homepage: http://sourceforge.net/projects/subread/
+Rules-Requires-Root: no
 
 Package: subread
 Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 ppc64el

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,6 @@
     CC = $(DEB_HOST_GNU_TYPE)-gcc
 endif
 
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
         CFLAGS += -mtune=generic -msse3
 endif
@@ -27,6 +26,12 @@
 override_dh_clean:
 	cd src; make -f Makefile.Linux clean
 	dh_clean
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f test/subread-align/data/test-err-mut-r1.fq.gz test/subread-align/data/test-err-mut-r2.fq.gz
+	rm -rf bin src/longread-one/make.version
+	find . -name "*.o" -delete
 
 override_dh_auto_build:
 	cd src; make -f Makefile.Linux
@@ -93,6 +98,9 @@
 to a SAF format file.' \
 	$(utildir)/flattenGTF| debian/filter.pl > $(mandir)/flattenGTF.1;
 
+	$(HELP2MAN) --name='helper tool from subread suite' \
+	$(utildir)/genRandomReads| debian/filter.pl > $(mandir)/genRandomReads.1;
+
 	dh_auto_install
 
 override_dh_installexamples-indep:

## subread 2.0.3+dfsg

=== debian/changelog ===
subread (2.0.3+dfsg-1) unstable; urgency=medium

  * Annotate test-only B-D with <!nocheck>
  * d/p/cross.patch: Fix non-cross buildability
  * d/rules: Remove hardcoding on make
  * Do not generate manpages during build time
     - Added createmanpages script which can be manually
       run at each release (Closes: #984978)
  * New upstream version 2.0.3+dfsg
  * Refresh patch, remove gcc10.patch
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 17:47:45 +0530

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Alexandre Mestiashvili <mestia@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Nilesh Patra <npatra974@gmail.com>
+           Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
-Build-Depends: bc,
+Build-Depends: bc <!nocheck>,
                debhelper-compat (= 12),
-               help2man,
-               python3,
-               zlib1g-dev
-Standards-Version: 4.5.0
+               python3 <!nocheck>,
+               zlib1g-dev,
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/subread
 Vcs-Git: https://salsa.debian.org/med-team/subread.git
 Homepage: http://sourceforge.net/projects/subread/

## subread 2.0.4+dfsg

=== debian/changelog ===
subread (2.0.4+dfsg-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * [skip ci] Remove myself from uploaders

  [ Alexandre Mestiashvili ]
  * d/copyright, remove .o files and prebuilt binary from src/longread-one
  * New upstream version 2.0.4+dfsg
  * d/patches, update and refresh,
    incorporare cross.patch into arch_specific_flags.patch
  * d/*.1, generate manpages
  * remove unused d/filter.pl
  * d/control:
    - debhelper-compat 13
    - Policy version 4.6.2

 -- Alexandre Mestiashvili <mestia@debian.org>  Sat, 11 Mar 2023 12:49:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: subread
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Alexandre Mestiashvili <mestia@debian.org>,
-           Andreas Tille <tille@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: bc <!nocheck>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                python3 <!nocheck>,
-               zlib1g-dev,
-Standards-Version: 4.5.1
+               zlib1g-dev
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/subread
 Vcs-Git: https://salsa.debian.org/med-team/subread.git
 Homepage: http://sourceforge.net/projects/subread/

## subread 2.0.6+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 	@echo "  Subread currently supports Linux, Mac OS X and FreeBSD. Please choose the correct Makefile to build Subread."
 	@echo 
 	@echo "  For building subread in Linux, please run ' make -f Makefile.Linux '."
+	@echo "  For building subread in Windows, please run ' make -f Makefile.Windows '. See README.txt for how to find the necessary programs and libraries."
 	@echo "  For building subread in Mac OS X, please run ' make -f Makefile.MacOS '."
 	@echo "  For building subread in FreeBSD, please run ' gmake -f Makefile.FreeBSD '."
 	@echo

=== debian/changelog ===
subread (2.0.6+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/control: build on riscv64 as well.
  * d/patches/0001-src-Makefile.Linux-Do-not-set-CFLAGS-and-CXXFLAGS-
    to.patch: fix embedded build path in various binaries.
    Thanks to Vagrant Cascadian <vagrant@reproducible-builds.org>.
    Closes: #1033089.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 13 Sep 2023 14:21:47 +0200

subread (2.0.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add loong64 to list of architectures
    Closes: #1050423

 -- Andreas Tille <tille@debian.org>  Fri, 25 Aug 2023 09:19:12 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Rules-Requires-Root: no
 
 Package: subread
-Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 ppc64el
+Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 ppc64el riscv64 loong64
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: toolkit for processing next-gen sequencing data
@@ -28,6 +28,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Multi-Arch: foreign
 Description: data files for subread package
  This package provides data files from the original tarball:
   - annotation: Directory including NCBI RefSeq gene annotations for

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
    CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
        CFLAGS += -mtune=generic -msse3
endif
ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
        CFLAGS += -D KFREEBSD
endif

%:
	dh $@ --buildsystem=makefile

override_dh_auto_clean:
	dh_auto_clean
	rm -f test/subread-align/data/test-err-mut-r1.fq.gz test/subread-align/data/test-err-mut-r2.fq.gz
	rm -rf bin src/longread-one/make.version
	find . -name "*.o" -delete
	dh_auto_clean --sourcedirectory=src -- -f Makefile.Linux

override_dh_auto_build:
	dh_auto_build --sourcedirectory=src -- -f Makefile.Linux CC=$(CC) ; \

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/tests/subread-tests $(CURDIR)
endif

override_dh_auto_install:
#fix for gzip-file-is-not-multi-arch-same-safe
	find $(CURDIR) -name "*.gz" -exec bash -c 'name="{}"; gzip -d "{}"; gzip -n "$${name%.*}"' \;
	dh_auto_install

override_dh_installexamples-indep:
	tar --sort=name \
            --mtime="@${SOURCE_DATE_EPOCH}" \
            --owner=root --group=root --numeric-owner \
            --mode=go=rX,u+rw,a-s \
            -cJf $(CURDIR)/debian/subread-data/usr/share/doc/subread/examples/test.tar.xz  test/
